Sounds like you have no option but close the dcl and open the second but with correct items greyed out. When you hit Ok om second dcl it can reopen the 1st dcl if you need to do more. It may be better to just daisy chain the input so make all the dcl's little ones so do a next, next type of sequence rather than trying to do one big one.
Yes,
Basic ideas:
This link will explains what you need to do to do the selection part:
http://lee-mac.com/ssget.html
and the second or 3rd result of an internet search even does that for you:
https://www.cadtutor.net/forum/topic/71231-select-all-polylines-of-certain-layer-and-fillet-them/
(setq sel (ssget "_X" (list '(0 . "LWPOLYLINE") '(8 . "OBJ1") (cons 410 (getvar 'CTAB)))))
and then the next part use
(command "chprop" sel ... )and follow the prompts you'd use to change the linetype from the selection